%define         machines %{_datadir}/openmsx/machines

Name:           cbios
Version:        0.21
Release:        4%{?dist}
Summary:        A third party BIOS compatible with the MSX BIOS
Group:          Applications/Emulators
License:        BSD
URL:            http://cbios.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  sjasm

%description
C-BIOS is a BIOS compatible with the MSX BIOS written from scratch by BouKiCHi.
It is available for free, including its source code and can be shipped with MSX
emulators so they are usable out-of-the-box without copyright issues.


# Build c-bios support for different msx emulators as sub packages, cbios has
# support for blueMSX, NLMSX, openMSX, RuMSX but at the moment we only support
# openmsx (others not available for Linux yet).
%package openmsx
Summary:        C-BIOS support for openMSX
Group:          Applications/Emulators
Requires:       cbios = %{version}-%{release}
Requires:       openmsx >= 0.5.0

%description openmsx
Adds C-BIOS support for openMSX, a third party MSX compatible BIOS.


%prep
%setup -q
sed -i 's/\r//' doc/*.txt
# Character encoding fixes
iconv -f iso8859-1 doc/cbios.txt -t utf8 > doc/cbios.conv \
    && /bin/mv -f doc/cbios.conv doc/cbios.txt
iconv -f iso8859-1 ChangeLog -t utf8 > ChangeLog.conv \
    && /bin/mv -f ChangeLog.conv doc/ChangeLog


%build
make %{?_smp_mflags} Z80_ASSEMBLER=sjasm


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{machines}
install -pm 0644 derived/bin/* %{buildroot}%{_datadir}/%{name}

# Install openmsx configuration and symlinks to cbios
cp -a configs/openMSX/C-BIOS_MSX* %{buildroot}%{machines}
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX1/roms\
                          ../../../../%{name}/cbios_main_msx1.rom
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX2/roms\
                          ../../../../%{name}/cbios_main_msx2.rom
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX2/roms\
                          ../../../../%{name}/cbios_sub.rom
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX2+/roms\
                          ../../../../%{name}/cbios_main_msx2+.rom
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX2+/roms\
                          ../../../../%{name}/cbios_sub.rom
ln -s --target-directory=%{buildroot}%{machines}/C-BIOS_MSX2+/roms\
                          ../../../../%{name}/cbios_music.rom

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_datadir}/%{name}
%doc ChangeLog doc/cbios.txt doc/chkram.txt


# We don't own the parent directories here, because they are owned by openmsx,
# also we don't set hardwareconfig.xml as %%config because they are not
# intended to be changed by the end user.
%files openmsx
%{machines}/C-BIOS_MSX*
%doc configs/openMSX/README.txt


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Aug 28 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.21-3
- Really convert some documentation to UTF8 this time.

* Sun Aug 26 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.21-2
- Migration to Fedora
- Converted some documentation to UTF8

* Fri Aug 11 2006 Ian Chapman <packages[AT]amiga-hardware.com> 0.21-1
- Initial Release